<?
include("moostat.inc");

$server = new mooStat('HL'); /* set your fav game. Currently
                                supported games/arguments: RTCW,
                                Q3, HL, CS */


$server->set_timeout(2); /* set timeout is seconds(isn't necessary).
                            Default is 5sec. */


// Example for Rcon HL Games:
//  $server->set_rcon($Host,$Port,"some password");
//  $server->set_timeout(2); // not necessary if already defined
//  $server->rcon_command("say Hey, *MOOSTAT is speaking");



$host = "212.68.2.228";
$port = "27015";
$server->connect($host,$port); /* now connect to the server.
                                  set $host to gameserver-ip and
                                  set $port to gameserver-port */


/* NOTICE: I've added some error checking while connecting.
           All errors that might come up within the *MOOSTAT lib
           are stored inside $server->errmsg */
   
   
$players = $server->get_players_list(); /* now get the playerlist */


/* this will print all players currently playing on the server */
print "<b>PLAYERS</b><br>";
while($row = $players->list_players()){
     print $row["Player"]." :: ".$row["Frags"]." :: ".$row["Playtime"]."<br>";
}

print "<br><br><b>RULES</b><br>";
$rules = $server->get_rules_list(); /* now get the rules */
while($row = $rules->list_rules()){
     print $row["Rule"]." :: ".$row["Value"]."<br>";
}


?>